﻿.devices-widget-content {
  overflow: auto;
  position: relative;
  width: 100%;
  height: 100%;
}
.devices-widget-content .topBar {
  background: transparent;
  padding: 10px;
  position: absolute;
  right: 0;
  z-index: 1000;
}
.devices-widget-content .topBar .btn-default {
  -moz-border-radius: 40px !important;
  -webkit-border-radius: 40px !important;
  border-radius: 40px !important;
  border: solid 1px #d92231 !important;
}
.devices-widget-content .topBar .btn-info {
  -moz-border-radius: 40px !important;
  -webkit-border-radius: 40px !important;
  background-color: #d92231 !important;
  border-radius: 40px !important;
  border: solid 1px #d92231 !important;
}
.devices-widget-content .topBar .viewModeChooser {
  float: left;
}
.devices-widget-content .topBar .mapModeChooser {
  float: left;
  margin-left: 20px;
}
.devices-widget-content .topBar .mapModeChooser img {
  width: 20px;
}
.devices-widget-content .topBar .shapeTools {
  float: left;
  height: 50px !important;
  margin-left: 20px;
  margin-top: -7px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent {
  padding-top: 12px;
  width: 450px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent .colorpicker {
  float: left;
  width: 100px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent .colorpicker span {
  background: none !important;
  border: none;
  display: inline;
  height: 20px;
  width: 20px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent .colorpicker span i {
  height: 25px;
  margin-left: -10px;
  margin-top: -5px;
  width: 25px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent .shapeName {
  float: left;
  width: 280px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent .shapeName span {
  background: none;
  border: none;
  display: inline;
  height: 20px;
  width: 20px;
}
.devices-widget-content .topBar .shapeTools .shapeToolsContent .shapeName input {
  display: inline;
  height: 30px;
  margin-left: -10px;
  margin-top: -2px;
  width: 180px;
}
.devices-widget-content .devicesGridHolder {
  overflow: auto;
  padding: 10px;
}
.devices-widget-content .devicesGridHolder .devicesGrid {
  border: 1px solid #d4d4d4;
}
.devices-widget-content .devicesGridHolder .k-grid-content {
  height: 457px;
}
.devices-widget-content .devicesMapHolder {
  background-color: #e6e6e6;
  height: 100%;
  width: 100%;
}
.devices-widget-content .devicesMapHolder .devicesMap {
  height: 100%;
  background-color: #cccccc;
  display: none;
}
.devices-widget-content .gridTools {
  position: absolute;
  right: 0;
  z-index: 1000;
  padding: 10px;
  border: solid 1px red;
  border-radius: 4px;
  background-color: white;
  height: 255px;
  width: 300px;
  top: 5px;
  right: 5px;
}
.devices-widget-content .mapLegend {
  position: absolute;
  z-index: 1000;
  bottom: 20px;
  left: 20px;
  padding: 20px;
  background-color: white;
  border: solid 1px red;
  border-radius: 4px;
}
.devices-widget-content .mapLegend .gridSize {
  color: #FFA500;
}
.devices-widget-content .overlayDevicesMap {
  background-color: transparent;
  display: none;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 111000;
}
.viewModeChooser .btn-default:first-child {
  -moz-border-bottom-right-radius: 0px !important;
  -moz-border-top-right-radius: 0px !important;
  -webkit-border-bottom-right-radius: 0px !important;
  -webkit-border-top-right-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
  border-top-right-radius: 0px !important;
}
.viewModeChooser .btn-default:last-child {
  -moz-border-bottom-left-radius: 0px !important;
  -moz-border-top-left-radius: 0px !important;
  -webkit-border-bottom-left-radius: 0px !important;
  -webkit-border-top-left-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
  border-top-left-radius: 0px !important;
}